summaryrefslogtreecommitdiff
path: root/infra/scripts/test_arm_neurun_acl_neon.sh
diff options
context:
space:
mode:
authorChunseok Lee <chunseok.lee@samsung.com>2020-03-05 15:10:09 +0900
committerChunseok Lee <chunseok.lee@samsung.com>2020-03-05 15:22:53 +0900
commitd91a039e0eda6fd70dcd22672b8ce1817c1ca50e (patch)
tree62668ec548cf31fadbbf4e99522999ad13434a25 /infra/scripts/test_arm_neurun_acl_neon.sh
parentbd11b24234d7d43dfe05a81c520aa01ffad06e42 (diff)
downloadnnfw-d91a039e0eda6fd70dcd22672b8ce1817c1ca50e.tar.gz
nnfw-d91a039e0eda6fd70dcd22672b8ce1817c1ca50e.tar.bz2
nnfw-d91a039e0eda6fd70dcd22672b8ce1817c1ca50e.zip
catch up to tizen_5.5 and remove unness dir
- update to tizen_5.5 - remove dirs
Diffstat (limited to 'infra/scripts/test_arm_neurun_acl_neon.sh')
-rw-r--r--infra/scripts/test_arm_neurun_acl_neon.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/infra/scripts/test_arm_neurun_acl_neon.sh b/infra/scripts/test_arm_neurun_acl_neon.sh
new file mode 100644
index 000000000..3c6e6ce02
--- /dev/null
+++ b/infra/scripts/test_arm_neurun_acl_neon.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+[[ "${BASH_SOURCE[0]}" != "${0}" ]] && echo "Please don't source ${BASH_SOURCE[0]}, execute it" && return
+
+CURRENT_PATH="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+ROOT_PATH="$CURRENT_PATH/../../"
+
+# Model download server setting
+if [[ -z $MODELFILE_SERVER ]]; then
+ echo "Need model file server setting"
+ exit 1
+fi
+
+set -e
+
+pushd $ROOT_PATH > /dev/null
+
+export OP_BACKEND_ALLOPS=acl_neon
+
+cp -v ./Product/out/unittest/nnapi_gtest.skip.armv7l-linux.acl_neon ./Product/out/unittest/nnapi_gtest.skip
+export EXECUTOR=Linear
+source ./tests/scripts/test_driver.sh \
+ --frameworktest_list_file=tests/scripts/neurun_frameworktest_list.armv7l.acl_neon.txt \
+ --ldlibrarypath="$ROOT_PATH/Product/out/lib" \
+ --reportdir="$ROOT_PATH/report/acl_neon" .
+
+export EXECUTOR=Dataflow
+source ./tests/scripts/test_driver.sh \
+ --frameworktest_list_file=tests/scripts/neurun_frameworktest_list.armv7l.acl_neon.txt \
+ --ldlibrarypath="$ROOT_PATH/Product/out/lib" \
+ --reportdir="$ROOT_PATH/report/acl_neon" .
+
+export EXECUTOR=Parallel
+source ./tests/scripts/test_driver.sh \
+ --frameworktest_list_file=tests/scripts/neurun_frameworktest_list.armv7l.acl_neon.txt \
+ --ldlibrarypath="$ROOT_PATH/Product/out/lib" \
+ --reportdir="$ROOT_PATH/report/acl_neon" .
+
+
+popd > /dev/null